# $Revision: 1.72 $, $Date: 2011/07/01 22:56:32 $
Summary:	GNOME-DB widget library
Summary(pl.UTF-8):	Biblioteka widgetów GNOME-DB
Name:		libgnomedb
Version:	1.2.2
Release:	11
Epoch:		1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/libgnomedb/1.2/%{name}-%{version}.tar.bz2
# Source0-md5:	cf8b1eb3aa3e7b18f46bc9bc9335dca7
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-gtk-doc.patch
URL:		http://www.gnome-db.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.8
BuildRequires:	docbook-dtd412-xml
BuildRequires:	GConf2-devel
# only checked for, not used
#BuildRequires:	evolution-data-server-devel >= 1.0
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.12.0
BuildRequires:	gtk+2-devel >= 2:2.10.1
BuildRequires:	gtk-doc >= 1.7
BuildRequires:	gtksourceview-devel >= 1.7.2
BuildRequires:	intltool
BuildRequires:	libgda-devel >= 1:1.2.3
BuildRequires:	libglade2-devel >= 1:2.6.0
BuildRequires:	libgnomeui-devel >= 2.16.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
Requires(post):	/sbin/ldconfig
Requires(post,preun):	GConf2 >= 2.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgnomedb is a library that eases the task of writing GNOME database
programs.

%description -l pl.UTF-8
libgnomedb jest biblioteką ułatwiającą pisanie programów bazodanowych.

%package devel
Summary:	GNOME-DB widget library development
Summary(pl.UTF-8):	Dla programistów widgetu GNOME-DB
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gtk+2-devel >= 2:2.10.1
Requires:	gtksourceview-devel >= 1.7.2
Requires:	libgda-devel >= 1:1.2.3
Requires:	libglade2-devel >= 1:2.6.0
Requires:	libgnomeui-devel >= 2.16.0

%description devel
libgnomedb is a library that eases the task of writing GNOME database
programs. This package contains development files.

%description devel -l pl.UTF-8
libgnomedb jest biblioteką ułatwiającą pisanie programów bazodanowych.
Ten podpakiet zawiera pliki dla programistów używających libgda.

%package static
Summary:	GNU Data Access static libraries
Summary(pl.UTF-8):	Statyczne biblioteki GNU Data Access
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
GNOME-DB widget static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki widgetu GNOME-DB.

%package apidocs
Summary:	libgnomedb API documentation
Summary(pl.UTF-8):	Dokumentacja API libgnomedb
Group:		Documentation
Requires(post,postun):	scrollkeeper
Requires:	gtk-doc-common

%description apidocs
libgnomedb API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libgnomedb.

%package -n gnome-database-access-properties
Summary:	Database access properties
Summary(pl.UTF-8):	Właściwości dostępu do baz danych
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n gnome-database-access-properties
Allows to configure database access properties in GNOME.

%description -n gnome-database-access-properties -l pl.UTF-8
Pozwala na konfigurację dostępu do baz danych w GNOME.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-install \
	--enable-gnome \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	desktopdir=%{_desktopdir}

# no static modules and *.la for glade modules
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{la,a}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

ln -sf %{_pixmapsdir}/libgnomedb/gnome-db.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}/gnome-db.png

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/no
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/mime-info

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%gconf_schema_install libgnomedb.schemas

%preun
%gconf_schema_uninstall libgnomedb.schemas

%postun	-p /sbin/ldconfig

%post apidocs
%scrollkeeper_update_post

%postun apidocs
%scrollkeeper_update_post

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_libdir}/libgnomedb-2.so.*.*.*
# libglade2 module (include it here as lib requires libglade2 anyway)
%attr(755,root,root) %{_libdir}/libglade/2.0/libgnomedb.so
# for libgnomedb
%{_datadir}/gnome-db
%{_pixmapsdir}/libgnomedb
%{_sysconfdir}/gconf/schemas/libgnomedb.schemas

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomedb-2.so
%{_includedir}/libgnomedb-1.2
%{_pkgconfigdir}/libgnomedb.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomedb-2.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libgnomedb
%{_omf_dest_dir}/%{name}

%files -n gnome-database-access-properties
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gnome-database-properties
%{_desktopdir}/database-properties.desktop
%{_pixmapsdir}/gnome-db.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgnomedb.spec,v $
Revision 1.72  2011/07/01 22:56:32  lisu
- drop libtool file
- use rm macro
- rel 11

Revision 1.71  2010/06/03 00:11:03  baggins
- rel 10

Revision 1.70  2010/02/14 18:53:14  megabajt
- release 9

Revision 1.69  2010/01/29 23:25:31  arekm
- release 8

Revision 1.68  2009/02/24 07:37:55  arekm
- rel 7

Revision 1.67  2009/01/19 19:04:40  sls
- BR: docbook-dtd412-xml

Revision 1.66  2008/12/07 19:10:37  hawk
- release 6

Revision 1.65  2007-06-02 15:49:56  qboosh
- added gtk-doc patch to fix gtk-doc path in .omf file
- release 5

Revision 1.64  2007/06/02 15:49:30  qboosh
- fixed packages split:
  - library ui data, icons, schemas moved to main
  - libglade2 module moved to main (useful for apps using libgnomedb,
    not used by gnome-database-properties)
  - scrollkeeper .omf file moved to -apidocs (references gtk-doc)

Revision 1.63  2007/06/02 10:53:06  qboosh
- URL

Revision 1.62  2007/06/02 08:27:06  qboosh
- fixed Groups
- unified preambles/files order

Revision 1.61  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.60  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.59  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.58  2006/08/27 18:43:10  havner
- rel 4

Revision 1.57  2006/08/11 18:50:15  freetz
- merged from gda-1_2 branch, use HEAD deps, apidocs subpkg, changelog cut
